ios – Easy methods to fastened A number of instructions produce when beginning archive the applying (XCode)

[ad_1]

I’ve present downside on my software, the undertaking already launch on google play and we need to add or go stay this software to the App Retailer nonetheless once I tried to archive the applying I acquired alot of errors.

Platform: React Native

React Native Model: 0.68.1

A number of instructions produce
‘/Customers/undertaking/Library/Developer/Xcode/DerivedData/projects-damsthqiwzugpcfgjcsrtaoeutbv/Construct/Intermediates.noindex/ArchiveIntermediates/tasks/IntermediateBuildFilesPath/UninstalledProducts/iphoneos/AccessibilityResources.bundle’:

  1. Goal ‘React-Core-60309c9c-AccessibilityResources’ has create
    listing command with output
    ‘/Customers/undertaking/Library/Developer/Xcode/DerivedData/project-damsthqiwzugpcfgjcsrtaoeutbv/Construct/Intermediates.noindex/ArchiveIntermediates/undertaking/IntermediateBuildFilesPath/UninstalledProducts/iphoneos/AccessibilityResources.bundle’
  2. Goal ‘React-Core-AccessibilityResources’ has create listing
    command with output
    ‘/Customers/undertaking/Library/Developer/Xcode/DerivedData/project-damsthqiwzugpcfgjcsrtaoeutbv/Construct/Intermediates.noindex/ArchiveIntermediates/undertaking/IntermediateBuildFilesPath/UninstalledProducts/iphoneos/AccessibilityResources.bundle’

I learn totally different articles to solved the issue however nonetheless not works:

  • Attempt to look Construct Phases -> Copy Bundle Assets (If there may be duplicated merchandise)

Inside Pod File:

require_relative '../node_modules/react-native/scripts/react_native_pods'
require_relative '../node_modules/@react-native-community/cli-platform-ios/native_modules'
permissions_path="../node_modules/react-native-permissions/ios"
pod 'Permission-Digital camera', :path => "#{permissions_path}/Digital camera"

platform :ios, '11.0'
set up! 'cocoapods', :deterministic_uuids => false

goal 'Tasks' do
  config = use_native_modules!

  # Flags change relying on the env values.
  flags = get_default_flags()

  use_react_native!(
    :path => config[:reactNativePath],
    # to allow hermes on iOS, change `false` to `true` after which set up pods
    :hermes_enabled => flags[:hermes_enabled],
    :fabric_enabled => flags[:fabric_enabled],
    # An absolute path to your software root.
    :app_path => "#{Pod::Config.occasion.installation_root}/.."
  )

  goal 'Venture Take a look at' do
    inherit! :full
    # Pods for testing
  finish

  # Permits Flipper.
  #
  # Be aware that you probably have use_frameworks! enabled, Flipper won't work and
  # it is best to disable the following line.
  use_flipper!()

  post_install do |installer|
    react_native_post_install(installer)
    __apply_Xcode_12_5_M1_post_install_workaround(installer)
  finish
finish

[ad_2]

Leave a Reply